xine-lib: IDivxFilterInterface_vt Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
IDivxFilterInterface_vt Struct Reference

`#include <interfaces.h>`

## Data Fields
long STDCALL(* | QueryInterface )(IUnknown *This, const GUID *riid, void **ppvObject)
long STDCALL(* | AddRef )(IUnknown *This)
long STDCALL(* | Release )(IUnknown *This)
HRESULT STDCALL(* | get_PPLevel )(IDivxFilterInterface *This, int *PPLevel)
HRESULT STDCALL(* | put_PPLevel )(IDivxFilterInterface *This, int PPLevel)
HRESULT STDCALL(* | put_DefaultPPLevel )(IDivxFilterInterface *This)
HRESULT STDCALL(* | put_MaxDelayAllowed )(IDivxFilterInterface *This, int maxdelayallowed)
HRESULT STDCALL(* | put_Brightness )(IDivxFilterInterface *This, int brightness)
HRESULT STDCALL(* | put_Contrast )(IDivxFilterInterface *This, int contrast)
HRESULT STDCALL(* | put_Saturation )(IDivxFilterInterface *This, int saturation)
HRESULT STDCALL(* | get_MaxDelayAllowed )(IDivxFilterInterface *This, int *maxdelayallowed)
HRESULT STDCALL(* | get_Brightness )(IDivxFilterInterface *This, int *brightness)
HRESULT STDCALL(* | get_Contrast )(IDivxFilterInterface *This, int *contrast)
HRESULT STDCALL(* | get_Saturation )(IDivxFilterInterface *This, int *saturation)
HRESULT STDCALL(* | put_AspectRatio )(IDivxFilterInterface *This, int x, IDivxFilterInterface *Thisit, int y)
HRESULT STDCALL(* | get_AspectRatio )(IDivxFilterInterface *This, int *x, IDivxFilterInterface *Thisit, int *y)

## Field Documentation

## ◆ AddRef

long STDCALL(* IDivxFilterInterface_vt::AddRef) (IUnknown *This)

## ◆ get_AspectRatio

HRESULT STDCALL(* IDivxFilterInterface_vt::get_AspectRatio) (IDivxFilterInterface *This, int *x, IDivxFilterInterface *Thisit, int *y)

## ◆ get_Brightness

HRESULT STDCALL(* IDivxFilterInterface_vt::get_Brightness) (IDivxFilterInterface *This, int *brightness)

Referenced by DS_VideoDecoder_GetValue().

## ◆ get_Contrast

HRESULT STDCALL(* IDivxFilterInterface_vt::get_Contrast) (IDivxFilterInterface *This, int *contrast)

Referenced by DS_VideoDecoder_GetValue().

## ◆ get_MaxDelayAllowed

HRESULT STDCALL(* IDivxFilterInterface_vt::get_MaxDelayAllowed) (IDivxFilterInterface *This, int *maxdelayallowed)

## ◆ get_PPLevel

HRESULT STDCALL(* IDivxFilterInterface_vt::get_PPLevel) (IDivxFilterInterface *This, int *PPLevel)

Referenced by DS_VideoDecoder_GetValue().

## ◆ get_Saturation

HRESULT STDCALL(* IDivxFilterInterface_vt::get_Saturation) (IDivxFilterInterface *This, int *saturation)

Referenced by DS_VideoDecoder_GetValue().

## ◆ put_AspectRatio

HRESULT STDCALL(* IDivxFilterInterface_vt::put_AspectRatio) (IDivxFilterInterface *This, int x, IDivxFilterInterface *Thisit, int y)

## ◆ put_Brightness

HRESULT STDCALL(* IDivxFilterInterface_vt::put_Brightness) (IDivxFilterInterface *This, int brightness)

Referenced by DS_VideoDecoder_SetValue().

## ◆ put_Contrast

HRESULT STDCALL(* IDivxFilterInterface_vt::put_Contrast) (IDivxFilterInterface *This, int contrast)

Referenced by DS_VideoDecoder_SetValue().

## ◆ put_DefaultPPLevel

HRESULT STDCALL(* IDivxFilterInterface_vt::put_DefaultPPLevel) (IDivxFilterInterface *This)

## ◆ put_MaxDelayAllowed

HRESULT STDCALL(* IDivxFilterInterface_vt::put_MaxDelayAllowed) (IDivxFilterInterface *This, int maxdelayallowed)

## ◆ put_PPLevel

HRESULT STDCALL(* IDivxFilterInterface_vt::put_PPLevel) (IDivxFilterInterface *This, int PPLevel)

Referenced by DS_VideoDecoder_SetValue().

## ◆ put_Saturation

HRESULT STDCALL(* IDivxFilterInterface_vt::put_Saturation) (IDivxFilterInterface *This, int saturation)

Referenced by DS_VideoDecoder_SetValue().

## ◆ QueryInterface

long STDCALL(* IDivxFilterInterface_vt::QueryInterface) (IUnknown *This, const GUID *riid, void **ppvObject)

## ◆ Release

long STDCALL(* IDivxFilterInterface_vt::Release) (IUnknown *This)

Referenced by DS_VideoDecoder_GetValue(), and DS_VideoDecoder_SetValue().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/libw32dll/DirectShow/interfaces.h